Method: projects.locations.sessions.batchGet

Retrieves multiple automation sessions in a single batch request.

Sessions are returned in the same order as the names in the request. If any of the requested sessions does not exist, the whole request fails with NOT_FOUND and no sessions are returned.

When calling this method over HTTP/REST with a large number of names, the request URL may exceed the maximum URL length (about 16 KB) and be rejected. In that case, send a POST request to the same URL with the X-HTTP-Method-Override: GET header and pass the request parameters in a JSON (application/json) or form-encoded (application/x-www-form-urlencoded) body. See Long request URLs.

HTTP request

GET https://devicerun.googleapis.com/v1alpha/{parent=projects/*/locations/*}/sessions:batchGet

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource shared by all sessions being retrieved. Format: projects/{project}/locations/{location}. The parent field in the BatchGetSessionsRequest message must match the parent of all Session resource names in names. It takes the form projects/{project}/locations/{location}.

Query parameters

Parameters
names[]

string

Required. The names of the sessions to retrieve. A maximum of 500 sessions can be retrieved in a batch. Format: projects/{project}/locations/{location}/sessions/{session}.

Request body

The request body must be empty.

Response body

Response including the requested sessions.

If successful, the response body contains data with the following structure:

JSON representation
{
  "sessions": [
    {
      object (Session)
    }
  ]
}
Fields
sessions[]

object (Session)

The requested sessions, in the same order as the names in the request.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • devicerun.sessions.get

For more information, see the IAM documentation.